#pragma once

#include "normalizer.h"

class TProcessorVersionsNormalizer : public NRTYServer::TOxygenNormalizer {
public:
    using NRTYServer::TOxygenNormalizer::TOxygenNormalizer;

    virtual const char* Name() const;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
};
